Name:           rpi-imager
Version:        1.6.2
Release:        2%{?dist}
Summary:        Graphical user-interface to write disk images and format SD cards

License:        ASL 2.0
URL:            https://github.com/raspberrypi/%{name}
Source0:        %{URL}/archive/v%{version}/%{name}.tar.gz#/%{name}-%{version}.tar.gz

# Needed to validate the desktop and metainfo files
BuildRequires:  libappstream-glib
BuildRequires:  desktop-file-utils

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  make
BuildRequires:  cmake
BuildRequires:  libarchive-devel
BuildRequires:  libcurl-devel
BuildRequires:  openssl-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtquickcontrols2-devel
BuildRequires:  qt5-qtsvg-devel
BuildRequires:  qt5-linguist

# Needed because we don't own /usr/share/icons/hicolor
Requires:       hicolor-icon-theme
# Needed if you want to be able to run rpi-imager as a regular user
Recommends:     udisks2

Requires:       dosfstools
Requires:       qt5-qtbase
Requires:       qt5-qtbase-gui
Requires:       qt5-qtdeclarative
Requires:       qt5-qtgraphicaleffects
Requires:       qt5-qtsvg
Requires:       qt5-qtquickcontrols2
Requires:       util-linux

%description
Graphical user-interface to download and write Raspberry Pi disk images, or
write custom disk images and format SD cards.

%prep
%autosetup

%build
%cmake .
%cmake_build

%install
%cmake_install
desktop-file-install \
    --add-category="X-GNOME-Utilities" \
    %{buildroot}%{_datadir}/applications/%{name}.desktop

%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/%{name}.metainfo.xml

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_metainfodir}/%{name}.metainfo.xml
%license license.txt
%doc README.md

%changelog
* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu May 27 2021 K. de Jong <keesdejong@fedoraproject.org> - 1.6.2-1
- New upstream release

* Mon May 24 2021 K. de Jong <keesdejong@fedoraproject.org> - 1.6.1-2
- Updated runtime dependencies

* Thu Apr 08 2021 K. de Jong <keesdejong@fedoraproject.org> - 1.6.1-1
- New upstream release

* Fri Mar 19 2021 K. de Jong <keesdejong@fedoraproject.org> - 1.6-1
- First release
- Applied patch to fix custom disk image selection menu, for more info
please check: https://github.com/raspberrypi/rpi-imager/issues/159
